//+——————————————————————+
//| MorningLong.mq4 |
//| Copyright 2014, Life with FX |
//| http://lifewithfx.jp |
//+——————————————————————+
#property copyright "Copyright 2014, Life with FX"
#property link "http://lifewithfx.jp"
#property version "1.00"
#property strict

#include <WinUser32.mqh>

#define COMMENT "LFX225"

extern int MAGIC = 140331;
extern double lots = 90;
extern int OPEN_MMDD = 0900;
extern int CLOSE_MMDD = 1500;

//+——————————————————————+
//| Expert initialization function |
//+——————————————————————+
int OnInit()
{
//— create timer
EventSetTimer(1);

Comment("LONG!!\n",
" OpenTime: ", OPEN_MMDD,"\n",
" CloseTime: ", CLOSE_MMDD,"\n",
" PosLots: ", lots);

//—
return(INIT_SUCCEEDED);
}
//+——————————————————————+
//| Expert deinitialization function |
//+——————————————————————+
void OnDeinit(const int reason)
{
//— destroy timer
EventKillTimer();

}
//+——————————————————————+
//| Expert tick function |
//+——————————————————————+
void OnTick()
{
//—

}
//+——————————————————————+
//| Timer function |
//+——————————————————————+
void OnTimer()
{
//—
//
int serverHM = TimeHour(TimeLocal()) * 100 + TimeMinute(TimeLocal());

if (OPEN_MMDD <= serverHM &&
serverHM < OPEN_MMDD + 5 &&
isOpenNewPosition()) {
OrderSend(Symbol(), OP_BUY, lots, Ask, 15, 0, 0, COMMENT, MAGIC, 0, Blue);
}

if (CLOSE_MMDD <= serverHM &&
serverHM < CLOSE_MMDD + 5) {
myCloseOrder();
PostMessageA( WindowHandle( Symbol(), Period()), WM_COMMAND, 33050, 0);
}

}
//+——————————————————————+
bool isOpenNewPosition() {
for (int i = 0; i < OrdersTotal(); i++) {
if (OrderSelect(i, SELECT_BY_POS) == false) {
return true;
}

if (OrderSymbol() == Symbol() &&
OrderMagicNumber() == MAGIC) {
return false;
}
}
return true;
}
void myCloseOrder() {

for (int i = 0; i < OrdersTotal(); i++) {
if (OrderSelect(i, SELECT_BY_POS) == false) {
break;
}
if (OrderSymbol() != Symbol() ||
OrderMagicNumber() != MAGIC) {
continue;
}

OrderClose(OrderTicket(), OrderLots(), OrderClosePrice(), 10, White);
break;
}
}